@import "./_variables.module.css";

.SideBar {
  order: 1;
  flex: 1 0 0;
  text-align: left;
  height: 100%;
  margin-left: 20px;
  z-index: 10;
  overflow-y: scroll;
}

.list {
  margin-top: 10px;
  overflow: scroll;
  display: flex;
  flex-direction: column;
}

.list::-webkit-scrollbar {
  display: none;
}

h3 {
  font-family: Lato;
  font-style: normal;
  font-weight: normal;
  font-size: 20px;
  line-height: 38px;
  margin: 0;
  text-transform: uppercase;
  color: var(--text-grey);
}

.SideBar p {
  font-family: Roboto;
  font-style: normal;
  font-weight: normal;
  font-size: 16px;
  line-height: 24px;
  color: var(--text-white);
  padding: 0 10px;
}

.list a {
  width: 100%;
  text-align: left;
  background: none;
  font-family: Roboto;
  font-style: normal;
  font-weight: normal;
  font-size: 16px;
  line-height: 24px;
  color: var(--text-white);
  border: none;
  padding: 5px;
  cursor: pointer;
  text-decoration: none;
}

.list a:hover {
  background-color: #595e6d;
}

.active {
  background: linear-gradient(90deg, rgba(45, 48, 56, 0) 22.92%, #2d3038 100%);
}

.navigation {
  display: none;
}

.navigation button {
  width: 40px;
  height: 40px;
  background: var(--background) no-repeat center / contain
    url(../assets/icons/cross.svg);
  border: none;
  margin: auto 10px;
  position: absolute;
  top: 20px;
  right: 0;
}

.logo {
  height: 40;
}

@media screen and (max-width: 601px) {
  .SideBar {
    flex: 1;
    width: 100%;
    max-height: 100%;
    position: absolute;
    top: 0;
    background-color: var(--background);
    margin-left: 0;
    display: flex;
    flex-direction: column;
  }

  .navigation {
    display: flex;
    justify-content: space-between;
  }
  .list a:hover {
    background: none;
  }
  h3,
  .list a {
    padding: 10px;
    white-space: nowrap;
  }

  .open {
    animation: show 0.5s;
  }

  .close {
    animation: hide 0.5s;
    overflow: hidden;
    width: 0;
  }
}

@keyframes show {
  0% {
    width: 0;
  }

  100% {
    width: 100%;
  }
}

@keyframes hide {
  0% {
    width: 100%;
  }

  100% {
    width: 0;
  }
}
